Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::AggregateKeyVal Class Reference

This takes several KeyVal objects and makes them look like one KeyVal object. More...

`#include <keyval.h>`

Inheritance diagram for sc::AggregateKeyVal:

[legend]
Collaboration diagram for sc::AggregateKeyVal:

[legend]
List of all members.

## Public Methods

| ~AggregateKeyVal ()
void | errortrace (std::ostream &fp=ExEnv::err0())
| Write a message to fp describing the error.
void | dump (std::ostream &fp=ExEnv::err0())
| Write a message to fp describing the error.
| AggregateKeyVal (const Ref< KeyVal > &keyval1)
| AggregateKeyVal (const Ref< KeyVal > &keyval1, const Ref< KeyVal > &keyval2)
| AggregateKeyVal (const Ref< KeyVal > &keyval1, const Ref< KeyVal > &keyval2, const Ref< KeyVal > &keyval3)
| AggregateKeyVal (const Ref< KeyVal > &keyval1, const Ref< KeyVal > &keyval2, const Ref< KeyVal > &keyval3, const Ref< KeyVal > &keyval4)

## Protected Methods

int | key_exists (const char *)
| Ultimately called by exists.
Ref< KeyValValue > | key_value (const char *, const KeyValValue &def)
| Ultimately called by value.

## Detailed Description

This takes several KeyVal objects and makes them look like one KeyVal object.

When a key is sought first KeyVal, then the next, and so on is searched until the keyword is found.

## Constructor & Destructor Documentation

sc::AggregateKeyVal::AggregateKeyVal | ( | const Ref< KeyVal > & | keyval1 | ) |

| The search order is keyval1, keyval2, and so on.

The documentation for this class was generated from the following file:

- keyval.h